Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
installation_guide [2022/02/15 21:03]
may cmake
installation_guide [2022/04/19 15:23] (current)
may [Prerequisites]
Line 86: Line 86:
 The following are required or strongly recommended for installation from source code. The following are required or strongly recommended for installation from source code.
  
-  - A modern Fortran compiler. Molpro has Fortran code spanning Fortran 77 standard up to and including F2018 standard features. We aim to test Molpro regularly using the latest released version of GNU Fortran compiler. The Intel compiler should not be used if Molpro will be used to run PNO-LCCSD calculations.+  - A modern version of GNU Fortran compiler. Molpro has Fortran code spanning Fortran 77 standard up to and including F2018 standard features. We aim to test Molpro regularly using the latest released version of GNU Fortran compiler.
   - A C++17 standard C++ compiler. We aim to test Molpro regularly with the latest released version of GCC.   - A C++17 standard C++ compiler. We aim to test Molpro regularly with the latest released version of GCC.
   - A C99 standard C compiler. This is used to compile external libraries such as [[https://gitlab.com/libxc/libxc | libxc]] and [[https://github.com/KarypisLab/METIS | METIS]].   - A C99 standard C compiler. This is used to compile external libraries such as [[https://gitlab.com/libxc/libxc | libxc]] and [[https://github.com/KarypisLab/METIS | METIS]].